Bug 15154 - Allow correct translation for upload local cover image
Summary: Allow correct translation for upload local cover image
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-06 19:44 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15154 - Allow correct translation for upload local cover image (1.97 KB, patch)
2015-11-07 06:17 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15154 - Allow correct translation for upload local cover image (1.97 KB, patch)
2015-11-07 06:26 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15154 - Allow correct translation for upload local cover image (2.13 KB, patch)
2015-11-07 06:59 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15154 - Allow correct translation for upload local cover image (2.20 KB, patch)
2015-11-11 23:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2015-11-06 19:44:11 UTC
On intranet catalog detail in tab Image, the way in which the the link is 
displayed for "Please <a>upload</a> one" for some languages (Spanish my case)
does not allow translate properly.
Comment 1 Héctor Eduardo Castro Avalos 2015-11-06 19:51:43 UTC
Sorry my mistake, the string really works well for translation purpose.
Comment 2 Héctor Eduardo Castro Avalos 2015-11-07 05:44:54 UTC
Still can use for a better context in translation

The phrase "Please, %upload% one" isn't a good phrase for translation.

It is much better something like "Select the image file to upload"
Comment 3 Héctor Eduardo Castro Avalos 2015-11-07 06:17:16 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2015-11-07 06:26:14 UTC Comment hidden (obsolete)
Comment 5 Frédéric Demians 2015-11-07 06:59:16 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-11-11 23:09:14 UTC
Created attachment 44784 [details] [review]
[PASSED QA] Bug 15154 - Allow correct translation for upload local cover image

To test:
-Set syspref LocalCoverImages and OPACLocalCoverImages to Allow
-A new tab 'Images' appear in bib record detail on Intranet.
-Notice about the phrase "Please upload one"
-Apply the patch and reload the page.
-New phrase appear "Select the image file to upload" with button Upload
-Update translation files : cd misc/translator; perl translate update es-ES
-You will see in es-ES-staff-prog.po the new entry
"Select the image file to upload. %sUpload%s"
-You can see the result installing the translation
cd misc/translator ; perl translate install es-ES

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  A native English speaker could confirm that the wording is ok: Please select
  the image file to upload

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-11-16 15:57:25 UTC
Patch pushed to master.

Thanks Hector!
Comment 8 Frédéric Demians 2015-11-29 20:57:42 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 9 Liz Rea 2016-01-06 21:19:09 UTC
Pushed to 3.18.13, and released.